#include <iostream>
#include "hash.h"

int
main(int argc, char* argv[]) {
    if (argc < 2) {
        std::cerr << "[ERR] argument error." << std::endl;
        std::cerr << "usage: " << argv[0] << " <string>" << std::endl;
        return -1;
    }
    Hash hash;
    std::string str = argv[1];
    std::cout << sha.getHash(str) << std::endl;
    return 0;
}
